<div ng-controller="OperadorCtrl">
	<div class="page page-dashboard">
        <div class="pageheader">
            <div class="page-bar">
              <ul class="page-breadcrumb">
                <li>
                  <a ui-sref="home.dashboard"><i class="fa fa-home"></i> Home</a>
                </li>
                <li>
                  <a ui-sref="home.dashboard">Mantenimiento</a>
                </li>
              </ul>
            </div>
        </div>
        <div class="card-container">
			<div class="panel panel-success">
				<div class="panel-heading">
					<h3 class="panel-title">Operador</h3>
				</div>
				<div class="panel-body">
					<div class="row">
						<div class="col-md-4">
							<input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Operador">
						</div>
						<div class="col-md-4 col-md-offset-4">
							<button class="btn btn-success btn-rounded-10 btn-block" ng-if="permisosHas('mantenimiento.registrar')" ng-click="clear();openModalSave($event)"  data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> agregar operador</button>
						</div>
						<br ng-if="flag">
						<div class="loading-container" ng-if="flag">
	                        <div class="loading"></div>
	                        <div id="loading-text">Cargando</div>
	                    </div>
						<div class="col-md-12" ng-if="!flag">
						<br>
							<div class="table-responsive">
								<table class="table table-hover">
									<thead>
										<tr>
											<th>Operador</th>
											<th class="text-center" ng-if="permisosHas('mantenimiento.eliminar') || permisosHas('mantenimiento.actualizar')">Opciones</th>
										</tr>
									</thead>
									<tbody>
										<tr dir-paginate="op in operadores |filter: buscar | itemsPerPage: 10" pagination-id="op.id">
											<td>{{op.nombre | uppercase}}</td>
											<td ng-if="permisosHas('mantenimiento.eliminar') || permisosHas('mantenimiento.actualizar')" class="text-center">
		                                        <button class="btn btn-default btn-border btn-rounded-20" title="Editar Operador {{op.nombre}}" ng-if="permisosHas('mantenimiento.actualizar')"  ng-click="load(op);openModalSave($event)"  data-options="splash-2 splash-ef-14">actualizar <i class="fa fa-refresh"></i></button>
		                                        <button class="btn btn-default btn-border btn-rounded-20" title="Eliminar Operador {{op.nombre}}" ng-if="permisosHas('mantenimiento.eliminar')" ng-click="load(op);openModalDelete($event)"  data-options="splash-2 splash-ef-14">eliminar <i class="fa fa-trash-o"></i></button>
											</td>
										</tr>
									</tbody>
								</table>
							</div>
							<div class="pull-right">
								<dir-pagination-controls pagination-id="op.id"></dir-pagination-controls>
							</div>
						</div>
					</div>
				</div>
			</div>

			<script type="text/ng-template" id="modal_operador.html">
		        <!-- <div class="modal-header">
		            <h3 class="modal-title custom-font">I'm a modal!</h3>
		        </div> -->
		        <div class="modal-body">
					<form>
						<legend class="text-center"><span ng-show="obj.crud">Crear</span><span ng-hide="obj.crud">Editar</span> Operador</legend>
							
						<div class="form-group">
							<label for="">Operador</label>
							<input type="text" class="form-control" ng-model="obj.nombre" id="operador" placeholder="Operador">
						</div>

						<div class="form-group">
							<label for="">Usuario</label>
							<input type="text" class="form-control" ng-model="obj.slug" id="Usuario" placeholder="Usuario">
						</div>

						<div class="text-center">
			                <button type="button" class="btn btn-default" ng-click="createEdit()">
			                <span ng-if="obj.crud">Guardar</span><span ng-if="!obj.crud">Editar</span></button>
			                <button type="button" class="btn btn-primary" ng-click="cancel()">Cancelar</button>
			            </div>	
						
					</form>
				</div>
		    </script>

		    <script type="text/ng-template" id="modal_operador_delete.html">
		        <div class="modal-header">
		        	<div class="text-center">
		        		<h3 class="modal-title custom-font"><h4 class="modal-title">¿Desea Eliminar Operador?</h4></h3>
		        	</div>            
		        </div>
		        <div class="modal-body">
					<div class="text-center">
						<h3>{{obj.nombre}}</h3>
						<button type="button" class="btn btn-danger" ng-click="ok()">Aceptar</button>
		                <button type="button" class="btn btn-primary" ng-click="cancel()">Cancelar</button>
					</div>
				</div>
		    </script>
		</div>
	</div>
</div>